# Gimp.Metadata.set_from_exif

    @accepts(Gimp.Metadata, [guint8], int)
    @returns(bool)
    def set_from_exif(self, exif_data, exif_data_length):
        # Python wrapper for gimp_metadata_set_from_exif()

Sets the tags from a piece of Exif data on self.

Since 2.10

self

  A Gimp.Metadata instance.

exif_data

  The blob of Exif data to set

exif_data_length

  Length of exif_data, in bytes

Returns